// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package member

import (
	"net/http"

	"gateway/internal/logic/member"
	"gateway/internal/response"
	"gateway/internal/svc"
)

// 解除 TOTP 綁定
func DisableTOTPHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := member.NewDisableTOTPLogic(actorContext(r.Context(), r), svcCtx)
		err := l.DisableTOTP()
		response.Write(r.Context(), w, nil, err)
	}
}
